using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SC.PM;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PE
{
    [Description("安全标准化内部评价计划录入细表")]
    public class T_PE_SAFETY_EVALUATION_PLAN_DETAIL : MesEntityBase
    {
        [Description("安全标准化内部评价计划录入表")]
        [DataFieldForeignKey("Nav_EvaluationPlan", "Nav_Details")]
        public Guid? SAFETY_EVALUATION_PLAN_ID { get; set; }

        [Description("安全标准化内部评价计划录入表")]
        public virtual T_PE_SAFETY_EVALUATION_PLAN Nav_EvaluationPlan { get; set; }
        [Description("评价要素")]
        [DataFieldForeignKey("Nav_StandardName")]
        public Guid? STANDARDIZED_ID { get; set; }

        [Description("评价要素表")]
        public virtual T_PE_STANDARDIZED_SCORE_IMPORT Nav_StandardName { get; set; }
        [Description("评价人员表")]
        [FormFieldEdit]
        public ICollection<T_PE_SAFETY_EVALUATION_PLAN_USER> Nav_EvaluationUser { get; set; }

        [Description("评价方法表")]
        [FormFieldEdit]
        public ICollection<T_PE_SAFETY_EVALUATION_PLAN_METHOD> Nav_EvaluationMethod { get; set; }
        [Description("评价技术")]
        public string EVALUATION_TECHNOLOGY { get; set; }

        [Description("顺序")]
        public int? NUM { get; set; }
    }
}
